# Uses of Interface
java.util.stream.DoubleStream.Builder

Packages that use DoubleStream.Builder
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of DoubleStream.Builder in java.util.stream

Methods in java.util.stream that return DoubleStream.Builder
Modifier and Type
Method
Description
`default DoubleStream.Builder`
DoubleStream.Builder.`add(double t)`
Adds an element to the stream being built.
`static DoubleStream.Builder`
DoubleStream.`builder()`
Returns a builder for a `DoubleStream`.